## genx 3.0.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/GenX.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/GenX.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/GenX"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/GenX"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
genx (3.0.2-1) unstable; urgency=medium

  * First release (Closes: #966369)
  
 -- Sebastien Delafond <seb@debian.org>  Fri, 25 Sep 2020 09:25:18 +0200

=== debian/control ===
Source: genx
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sebastien Delafond <seb@debian.org>
Build-Depends: 
 debhelper (>= 12),
 dh-python,
 python3-all,
 python3-appdirs,
 python3-matplotlib,
 python3-mock,
 python3-numpy,
 python3-pyct,
 python3-pytest,
 python3-pytest-runner,
 python3-scipy,
 python3-setuptools,
 python3-wxgtk4.0
Standards-Version: 4.5.0
Homepage: https://sourceforge.net/p/genx/git/
Vcs-Browser: https://salsa.debian.org/science-team/genx
Vcs-Git: https://salsa.debian.org/science-team/genx.git

Package: python3-genx
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Description: differential evolution algorithm for fitting
 GenX is a versatile program using the differential evolution
 algorithm for fitting, primarily, X-ray and neutron reflectivity
 data, lately also surface x-ray diffraction data. The differential
 evolution algorithm is a robust optimization method which avoids
 local minima but at same is a highly effective. GenX is written in
 Python and uses the wxpython package for the Graphical User Interface
 (GUI). A model to fit is defined either through a GUI plug-in or via
 a Python script. The possibility to script everything makes it easy
 to develop completely new fitting model. Clearly, GenX is extremely
 modular, making it possible to extend the program with models and
 plug-ins for most fitting problems. At the present GenX is shipped
 with models for x-ray and neutron specular reflectivity,
 off-specular x-ray reflectivity and surface x-ray diffraction

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=genx
#export PYBUILD_DISABLE=test
# export PYBUILD_VERSIONS=3.8
# export PYBUILD_INTERPRETERS=python{version}

%:
	dh $@ --with python3 --buildsystem=pybuild --sourcedir=genx

execute_after_dh_auto_install:
	find $(CURDIR) -type f -regextype awk -regex '.*/(LICENSE|README).txt' -delete

## genx 3.6.21

=== debian/changelog ===
genx (3.6.21-1) unstable; urgency=medium

  * New upstream releases, includes fix for "genx won't start: TypeError:
    Pen(): arguments did not match any overloaded call", thanks to s3v
    (Closes: #1032902).
  * Add missing Depends:.
  * Drop patches, merged upstream.
  * Add myself as uploader.

 -- Roland Mas <lolando@debian.org>  Mon, 10 Apr 2023 17:30:14 +0200

genx (3.0.2-2) unstable; urgency=medium

  * Team Upload.
  [ Neil Williams ]
  * Add Frédéric Picca as Uploader
  * Update control to add Debian PaN maintainers

  [ Nilesh Patra ]
  * Add patch to fix FTBFS (Closes: #1002314)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 12 Oct 2022 19:06:21 +0530

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,12 @@
 Source: genx
 Section: python
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Sebastien Delafond <seb@debian.org>
+Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
+Uploaders:
+ Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
+ Sebastien Delafond <seb@debian.org>,
+ Picca Frédéric-Emmanuel <picca@debian.org>,
+ Roland Mas <lolando@debian.org>
 Build-Depends: 
  debhelper (>= 12),
  dh-python,
@@ -16,7 +20,9 @@
  python3-pytest-runner,
  python3-scipy,
  python3-setuptools,
- python3-wxgtk4.0
+ python3-wxgtk4.0,
+ python3-h5py,
+ python3-numba,
 Standards-Version: 4.5.0
 Homepage: https://sourceforge.net/p/genx/git/
 Vcs-Browser: https://salsa.debian.org/science-team/genx
@@ -24,7 +30,9 @@
 
 Package: python3-genx
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends},
+ python3-h5py, python3-wxgtk4.0, python3-appdirs, python3-numpy,
+ python3-matplotlib, python3-orsopy
 Description: differential evolution algorithm for fitting
  GenX is a versatile program using the differential evolution
  algorithm for fitting, primarily, X-ray and neutron reflectivity

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_install:
	find $(CURDIR) -type f -regextype awk -regex '.*/(LICENSE|README).txt' -delete

## genx 3.6.22

=== debian/changelog ===
genx (3.6.22-2) unstable; urgency=medium

  * Bug fix: "GenX init fails at Numba compilation", thanks to Emmanuel
    FARHI (Closes: #1051197).

 -- Roland Mas <lolando@debian.org>  Sun, 10 Sep 2023 12:33:43 +0200

genx (3.6.22-1) unstable; urgency=medium

  * d/watch: Added, it was missing....
  * New upstream version 3.6.22
  * Trim trailing whitespace.
  * Avoid setting debhelper compat version in debian/rules and debian/compat.
  * Update standards version to 4.6.2, no changes needed.
  * Bug fix: "please add autopkgtests (to add coverage for
    python3-numpy)", thanks to Sandro Tosi (Closes: #1035207).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 06 Sep 2023 15:34:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,35 +4,43 @@
 Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
 Uploaders:
  Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
- Sebastien Delafond <seb@debian.org>,
  Picca Frédéric-Emmanuel <picca@debian.org>,
- Roland Mas <lolando@debian.org>
-Build-Depends: 
- debhelper (>= 12),
+ Roland Mas <lolando@debian.org>,
+Build-Depends:
+ debhelper,
+ debhelper-compat (= 13),
  dh-python,
+ dh-sequence-numpy3,
+ dh-sequence-python3,
  python3-all,
  python3-appdirs,
+ python3-docutils,
+ python3-h5py,
  python3-matplotlib,
  python3-mock,
+ python3-numba,
  python3-numpy,
+ python3-orsopy (>=1.0.0),
+ python3-pint,
  python3-pyct,
  python3-pytest,
  python3-pytest-runner,
+ python3-requests,
  python3-scipy,
  python3-setuptools,
  python3-wxgtk4.0,
- python3-h5py,
- python3-numba,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://sourceforge.net/p/genx/git/
 Vcs-Browser: https://salsa.debian.org/science-team/genx
 Vcs-Git: https://salsa.debian.org/science-team/genx.git
 
 Package: python3-genx
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends},
- python3-h5py, python3-wxgtk4.0, python3-appdirs, python3-numpy,
- python3-matplotlib, python3-orsopy
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+ pocl-opencl-icd
 Description: differential evolution algorithm for fitting
  GenX is a versatile program using the differential evolution
  algorithm for fitting, primarily, X-ray and neutron reflectivity

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	find $(CURDIR) -type f -regextype awk -regex '.*/(LICENSE|README).txt' -delete

## genx 3.6.23

=== debian/changelog ===
genx (3.6.23-2) unstable; urgency=medium

  [Rahli Oussama]
  * d/t/*: Added autopkgtests, this fixes "please add autopkgtests (to add
    coverage for python3-matplotlib)", thanks to Sandro Tosi (Closes:
    #1036515).

  [ Roland Mas ]
  * Use platformdirs instead of appdirs
  * Bug fix: "Please replace python3-appdirs dependency with
    platformdirs", thanks to Simon McVittie (Closes: #1067964).

 -- Roland Mas <lolando@debian.org>  Sun, 22 Sep 2024 17:21:50 +0200

genx (3.6.23-1) unstable; urgency=medium

  * Team Upload
  * remove duplicated dep (dh-sequence-numpy3 implies dh-python)
  * remove python3-mock dep (Closes: #1070662)

  [ Picca Frédéric-Emmanuel ]
  * New upstream release. (Closes: #1051342)
  * d/control: Added B-D pybuild-plugin-pyproject.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 30 Jun 2024 01:06:10 +0200

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,19 @@
  Picca Frédéric-Emmanuel <picca@debian.org>,
  Roland Mas <lolando@debian.org>,
 Build-Depends:
- debhelper,
  debhelper-compat (= 13),
- dh-python,
  dh-sequence-numpy3,
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-appdirs,
  python3-docutils,
  python3-h5py,
  python3-matplotlib,
- python3-mock,
  python3-numba,
  python3-numpy,
  python3-orsopy (>=1.0.0),
  python3-pint,
+ python3-platformdirs,
  python3-pyct,
  python3-pytest,
  python3-pytest-runner,
@@ -29,6 +27,7 @@
  python3-scipy,
  python3-setuptools,
  python3-wxgtk4.0,
+Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://sourceforge.net/p/genx/git/
 Vcs-Browser: https://salsa.debian.org/science-team/genx

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,11 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/architecture.mk
+
+# 32bit support is dying everywhere
+ifeq (32,$(DEB_HOST_ARCH_BITS))
+export PYBUILD_TEST_ARGS=--ignore=tests/test_numba_equivalency.py
+endif
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" sh debian/tests/gui
Depends:
 debhelper,
 mesa-utils,
 python3-genx,
 xauth,
 xvfb,
Restrictions: allow-stderr

Tests: python
Depends:
 python3-all,
 python3-genx,
 python3-pytest,
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
https://sf.net/genx/ GenX-@ANY_VERSION@@ARCHIVE_EXT@

## genx 3.7.4+dfsg

=== debian/changelog ===
genx (3.7.4+dfsg-2) unstable; urgency=medium

  * d/control: removed B-D pocl-opencl-icd
  * d/t/control:
    + the pure python code is not skippable.
    + run the numba code with pocl

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 02 Dec 2024 09:15:35 +0100

genx (3.7.4+dfsg-1) unstable; urgency=medium

  * wrap-and-sort -ast and swicth to github for sources
  * d/watch: switch to github
  * New upstream version 3.7.4
  * d/p/* removed, all patches were upstreamed
  * d/rules: the sources are now located under the genx directory
  * d/t/python: fix tests directory location
  * d/t/control: marks numba test as flaky for now

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 20 Nov 2024 11:10:33 +0100

genx (3.7.3-1) unstable; urgency=medium

  * New upstream version 3.7.3
  * d/control: numba is optional now
  * d/t/control: Added a test with numba
  * d/p/0003-numba-is-optional.patch Added

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 19 Nov 2024 10:58:19 +0100

genx (3.7.2-1) unstable; urgency=medium

  * New upstream version 3.7.2
  * d/control: B-D python3-orsopy >= 1.2.0
  * d/p/0003-Added-missing-file.patch: dropped -> upstreamed
  * d/rules: skip test on all 32bit archs

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 07 Nov 2024 12:38:21 +0100

genx (3.7.1-1) unstable; urgency=medium

  [ Roland Mas ]
  * New upstream release.
  * WIP: adapt to current dataclasses module; vanilla upstream code causes
    an error in the testsuite, my first attempt to patch doesn't really help.

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 3.7.1
  * Bug fix: "FTBFS in unstable: SEGV in test_gauss_nonsymmetric", thanks
    to Stefano Rivera (Closes: #1082362).
  * added an upstream missing file
  * skip a test due to a bad upstream file

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 07 Nov 2024 10:59:43 +0100

## genx 3.7.9+dfsg

=== debian/changelog ===
genx (3.7.9+dfsg-1) unstable; urgency=medium

  * New upstream version 3.7.9+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 07 Mar 2025 12:08:02 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

# 32bit support is dying everywhere
ifeq (32,$(DEB_HOST_ARCH_BITS))
export PYBUILD_DISABLE=test
endif

%:
	dh $@ --buildsystem=pybuild --sourcedirectory=genx

execute_after_dh_auto_install:
	find $(CURDIR) -type f -regextype awk -regex '.*/(LICENSE|README).txt' -delete
	find $(CURDIR) -type f -regextype awk -regex 'genx_mac' -delete

## genx 3.7.13%2Bdfsg

=== debian/changelog ===
genx (3.7.13+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Wed, 13 Aug 2025 19:02:38 +0200

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" \
  https://api.github.com/repos/aglavic/genx/releases?per_page=100 \
  https://api.github.com/repos/aglavic/genx/tarball/@ANY_VERSION@

## genx 3.7.13+dfsg

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,8 @@
  python3-docutils,
  python3-h5py,
  python3-matplotlib,
- python3-numba,
  python3-numpy,
- python3-orsopy (>=1.0.0),
+ python3-orsopy (>=1.2.0),
  python3-pint,
  python3-platformdirs,
  python3-pyct,
@@ -39,7 +38,8 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
- pocl-opencl-icd
+Recommends:
+ python3-numba,
 Description: differential evolution algorithm for fitting
  GenX is a versatile program using the differential evolution
  algorithm for fitting, primarily, X-ray and neutron reflectivity

=== debian/tests/control ===
Test-Command: xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" sh debian/tests/gui
Depends:
 debhelper,
 mesa-utils,
 python3-genx,
 xauth,
 xvfb,
Restrictions:
 allow-stderr,

Tests:
 python,
Depends:
 python3-all,
 python3-genx,
 python3-pytest,
Restrictions:
 allow-stderr,

Tests:
 python,
Depends:
 pocl-opencl-icd,
 python3-all,
 python3-genx,
 python3-numba,
 python3-pytest,
Restrictions:
 allow-stderr,
 flaky,
 skip-not-installable,

## genx 3.8.0+dfsg

=== debian/changelog ===
genx (3.8.0+dfsg-1) unstable; urgency=medium

  [ Mateus Rodrigues de Morais ]
  * fix: compatibility with Python 3.14 (closes: #1123139).

  [ Andreas Tille ]
  * Point Homepage to Github
  * d/watch: version=5

  [ Roland Mas ]
  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Sat, 27 Dec 2025 20:37:37 +0100

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  python3-wxgtk4.0,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
-Homepage: https://sourceforge.net/p/genx/git/
+Homepage: https://github.com/aglavic/genx
 Vcs-Browser: https://salsa.debian.org/science-team/genx
 Vcs-Git: https://salsa.debian.org/science-team/genx.git

=== debian/watch ===
Version: 5

Template: Github
Owner: aglavic
Project: genx
Uversion-Mangle: s/^6/0.6/
Dversionmangle: s/\+dfsg\d*$//
Repacksuffix: +dfsg
